revokeIngestToken
curl --request POST \
--url https://api.askparable.com/api/ingest-tokens/{id}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/ingest-tokens/{id}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/ingest-tokens/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/ingest-tokens/{id}/revoke"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": true,
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}revokeIngestToken
POST /api/ingest-tokens//revoke Revoke an ingest token immediately (modulo collector cache TTL). Idempotent — revoking an already-revoked token returns true without error. Returns 404 if the token does not exist or belongs to a different workspace.
POST
/
api
/
ingest-tokens
/
{id}
/
revoke
revokeIngestToken
curl --request POST \
--url https://api.askparable.com/api/ingest-tokens/{id}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/ingest-tokens/{id}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/ingest-tokens/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/ingest-tokens/{id}/revoke"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": true,
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
id parameter UUID v4 with automatic base62 encoding for client-facing APIs